Subject: bug#56683: 29.0.50; long lines fix doesn't work correctly when lines are truncated

From: Gregory Heytings <[email-masked]>
Date: Thu, 21 Jul 2022 20:15:55 +0000

>
> Is this related to the below (from xdisp.c)?
>
> #define DISP_INFINITY 10000000
>
> Maybe we should make "infinity" somewhat larger?  dictionary.json has a 
> single line that is 18922365 characters long, so it's "more than 
> infinity".
>

It is indeed, setting DISP_INFINITY to 1000000000 "fixes" that bug. 
But... how infinite is infinite?  (A near-philosophical question 😉) 
With a somewhat larger file (that one is only 20 MB) we'd have to increase 
it again.  If that's a hard-coded limit, I guess it's a sign that we 
should advise against using toggle-truncate-lines in buffer with long 
lines.